[Buildroot] [PATCH] icu: Doesn't work on ARC yet

Mischa Jonker Mischa.Jonker at synopsys.com
Mon Nov 11 15:07:48 UTC 2013


icu depends on __sync_sub_and_fetch and other atomic primitives that
don't exist in the ARC toolchain yet.

Signed-off-by: Mischa Jonker <mjonker at synopsys.com>
---
 package/icu/Config.in |    1 +
 1 file changed, 1 insertion(+)

diff --git a/package/icu/Config.in b/package/icu/Config.in
index 585bffb..3c041bb 100644
--- a/package/icu/Config.in
+++ b/package/icu/Config.in
@@ -3,6 +3,7 @@ config BR2_PACKAGE_ICU
 	depends on BR2_INSTALL_LIBSTDCPP
 	depends on BR2_USE_WCHAR
 	depends on BR2_TOOLCHAIN_HAS_THREADS
+	depends on !BR2_arc # atomic builtins
 	help
 	  International Components for Unicode.
 
-- 
1.7.9.5



More information about the buildroot mailing list